javax.sql.DataSource.getConnection() implementation in WrappedCdmDataSource fails to cache the
connection which and leaves it unclosed
Description

When the existing cached connection in the WrappedCdmDataSource is null a new connection will be created but is not stored in the
connection field. When closeOpenConnections() is being called the created connection is not closed

This issue is strongly related to #8170 but needs to be handled much earlier in order to void connections which are not closed after
being used. See #8132 for symptoms.

the same account for getConnection(String username, String password)

It would be better to fix #8170, but this might require more time.

Question: Why closeOpenConnections(). The WrappedCdmDataSource always only handles only one connection and should
actually not deal with more than one connection at the same time.

Related issues:
Related to EDIT - bug #8132: phycobank cdm-server instance problems with db ... Worksforme
Related to EDIT - bug #8170: javax.sql.DataSource.getConnection() implementat... New

Associated revisions

Revision ddaf22cf - 03/08/2019 05:27 PM - Andreas Kohlbecker

fix #8171 internally caching new connection in WrappedCdmDataSource to avoid connection leaks

Revision 7d340a47 - 03/11/2019 12:55 PM - Andreas Kohlbecker

fix #8171 internally caching new connection in WrappedCdmDataSource to avoid connection leaks

History

#1 - 03/08/2019 05:08 PM - Andreas Kohlbecker

- Description updated

#2 - 03/08/2019 05:12 PM - Andreas Kohlbecker

- Description updated

#3 - 03/08/2019 05:18 PM - Andreas Kohlbecker

- Related to bug #8132: phycobank cdm-server instance problems with db connections added

#4 - 03/08/2019 05:18 PM - Andreas Kohlbecker

- Related to bug #8170: javax.sql.DataSource.getConnection() implementation in WrappedCdmDataSource does not conform to the interface added

#5 - 03/11/2019 12:54 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|ddaf22cfc36cad56b677c8fecd8eb3e83db5cefb.

#6 - 04/11/2019 01:10 PM - Andreas Kohlbecker

04/20/2024 1/2



https://dev.e-taxonomy.eu/redmine/issues/8170
https://dev.e-taxonomy.eu/redmine/issues/8132
https://dev.e-taxonomy.eu/redmine/issues/8170
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/ddaf22cfc36cad56b677c8fecd8eb3e83db5cefb

- Description updated

#7 - 04/11/2019 01:11 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

We can close this ticket as solved, since fixing this issue did not cause any side effect problems
